Bug 202760 - sysctl values too small for larger servers
sysctl values too small for larger servers
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
: Reopened
Depends On:
Blocks: 219685
  Show dependency treegraph
 
Reported: 2006-08-16 07:52 EDT by Alexander Hass
Modified: 2011-07-18 04:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-18 04:54:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Hass 2006-08-16 07:52:38 EDT
The Linux Kernel defaults of the following sysctl parameters are too small to
run larger applications. Values are taken from a server with 8 CPUs and 8 GB
RAM, running RHEL 4 AS Update 2, Kernel 2.6.9-22.0.2.ELsmp x86_64, assuming this
hasn't been changed yet:

1 # cat /proc/sys/kernel/shmmax
33554432 (32 MB)
2 # cat /proc/sys/kernel/shmall
2097152 (8 GB)
3 # cat /proc/sys/kernel/sem
250     32000   32      128

ad 1 and 2) We currently recommend values representing 20 GB each. My proposal
for new default values would be to dynamically adapt them to the available size
of virtual memory, by adding up RAM and Swap.

ad 3) There we recommend our customers to set 1250 256000 100 8192. Is there
also a possibility to adapt a new Kernel default dynamically to larger machines?

If you can't adapt the Kernel defaults, which values would you recommend to
cover even large machines? Think of something with 8 or more CPUs and 64 or more
GB of RAM...
Comment 1 Russell Doty 2007-12-18 15:49:49 EST
SAP - can you verify that this is still an issue in RHEL 4.6?
Comment 2 Alexander Hass 2008-01-03 12:27:57 EST
Well, I haven't got any feedback yet from your side...

ad 1 and 2) In the meanwhile you increased those values on RHEL 5; nevertheless
on RHEL 4 the values are still too low.

ad 3) This question is still open
Comment 3 Larry Woodman 2008-11-11 10:31:15 EST
We cant make this kind of change to RHEL4 this late in the lifecycle.

Larry Woodman
Comment 4 Alexander Hass 2008-11-11 10:59:23 EST
Well, then why don't you fix it two years ago...
There were also some questions asked, which still haven't been answered by Red Hat yet.
Comment 5 Frank Danapfel 2011-07-18 04:54:32 EDT
RHEL4 is near the end of its lifecycle and on current RHEL5 and RHEL6 releases the default sysctl values are set to much higher values. Therefore I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.